<template>
  <div>
    <div v-if="getUser">
      <h3>User Details</h3>
      <div class="user-card">
        <div class="user-card__info pr-1">
          <div><img :src="getUser.picture.large" alt=""></div>
          <div>
            <div><span class="user-card__info_bold pr-1">ID:</span>{{ getUser.id.value }}</div>
            <div>
              <span>{{ getUser.name.title }}.</span>
              <span class="pl-1">{{ getUser.name.first }}</span>
              <span class="pl-1">{{ getUser.name.last }}</span>
            </div>
          </div>
        </div>
        <div>
          <div><span class="user-card__info_bold pr-1">Cell Phone:</span>{{ getUser.cell }}</div>
          <div><span class="user-card__info_bold pr-1">Email:</span>{{ getUser.email }}</div>
          <div><span class="user-card__info_bold pr-1">Country:</span>{{ getUser.location.country }}</div>
          <div><span class="user-card__info_bold pr-1">City:</span>{{ getUser.location.city }}</div>
          <div>
            <span class="user-card__info_bold pr-1">Address:</span>
            <span>{{ getUser.location.street.number }},</span>
            <span class="pl-1">{{ getUser.location.street.name }}</span>
          </div>
        </div>
      </div>
    </div>
    <div v-else><h3>Oops, Something was Wrong...</h3></div>
  </div>

</template>

<script>
  export default {
    name: 'UserDetails',
    props: {
      getUser: {
        type: Object,
        required: true,
        default: []
      }
    },
    data  () {
      return {
        currUser: null
      }
    }
  }
</script>

<style scoped lang="scss">
.user-card {
  text-align: left;
  display: flex;
  
  @media only screen and (max-width: 768px) {
    flex-direction: column;
  }
  
  &__info {
    &_bold {
      font-weight: 600;
    }
  }
}
</style>
